Subject: Re: [Seamoby] Summary of Discussion on CAR Discovery Requirements

From: "Govind Krishnamurthi" <[email-masked]>
Date: Tue, 22 Jan 2002 19:49:43 -0500

Hello James,

My comments inline

-Govind.

>
>Hi folks,
>
>I've just read through the back email on this thread over the past
>couple weeks
>in response to Phil and  Govind's original posting, and here
>are a couple observations and proposals.
>
>1) There seems to be broad agreement that we need a requirement saying
>that
>the CAR discovery protocol MUST support IPv4 and IPv6.
>
>2) There was some difference of opinion on whether the requirements
>draft
>should say anything about how this might be done. If nobody has a
>further
>objection, can we leave this as an implementation issue?
>

[GK] I think it is a strong requirement that we MUST support
IPv4 and IPv6. I agree, how this is done is a protocol specification issue. 
I also pointed out to Phil that this requirement is very much
already there in the given set of requirements and IMO an
explicit statement is redundant. I did not get a response from Phil
about this so I don't know whether he agrees with my comment.

>3) There also seems to be a certain degree of agreement that we have
>an explicit requirement, in addition to Requirement 9, which states that
>a solution MUST be provided which supports existing mobility protocols.
>Thus, the protocol must be both independent of mobility protocol
>and capable of supporting existing mobility protocols. Again, if
>there is no objection, can we include this as a requirement?
>

[GK] Again Phil did not answer Dirk's question regarding what he
means by the above statement that it MUST support mobility management
protocols? CAR discovery happens parallel to mobility management. It
is in the definition of CAR discovery that mobility management
protocols are going to use CAR discovery for the purpose of handovers.
What else is needed? Why do we need a separate requirement. Essentially
we are stating the need for CAR discovery here. Also, by the very fact
that we say we support inter-technology handovers (which clearly may
have different mobility management protocols) we imply that any mobility
management protocol will be able to use the output of CAR discovery.
Ofcourse, I might be wrong about this and Phil may have something else
in his mind.

>4) There was some difference of opinion about whether support
>for interdomain discovery SHOULD or MUST be required.
>Since some good arguments were made for supporting
>interdomain discovery, I'd like to suggest we keep this
>in for now as a SHOULD unless there are any further objections
>to be discussed.
>

[GK] Again with this I thought the majority decision was to go with
a MUST.

>5) Some working group members suggested that the requirements
>for MN-based v.s. AR-based discovery be separated. The
>draft editors would like to see examples of requirements that
>need to be separated. Does anyone have some examples?
>If not, can we just go forward with a single set of requirements
>for now?

[GK] I am almost ready with the first version of the requirements
draft. Please point out any differences that you perceive just because
CAR discovery is MN based or AR based. Also, I feel that this point
came up because we hadn't made it clear in the Issues draft that the
differentiation was based on time of CAR discovery rather than who initiates 
the process. But again I might be wrong about this and I welcome anyone's 
input on this.

>
>Comments?
>
>             jak
>
>
>
>
>_______________________________________________
>Seamoby mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/seamoby

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp.

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: "James Kempf" <[email-masked]>
Date: Wed, 23 Jan 2002 09:27:00 -0800

Govind,

> Ofcourse, I might be wrong about this and Phil may have something else

The point about the need to support existing mobility protocols
was not only made by Phil, it was made by Hesham and others.
So I think there is a group of people that would like to see this
as a requirement. It also seems almost a given to me, why
would the WG want to come up with a protocol that
doesn't support existing mobility protocols, so I'm
having a hard time seeing why you're resisting putting
it in.

As to what it might mean, suppose that the requirement wasn't
there and someone proposed a protocol that supported
a routing update approach to mobility, such as HAWAII
or Cellular IP, but it did not work for Mobile IP. As a practical
matter, the WG and IESG would be unlikely to accept such
an approach, but having it in the requirements makes a statement
up front that the protocol must work with Mobile IP and MANET.

Also, as came up in the WG meeting in SLC, some work has
been proposed in the MANET group solving a similar problem to
CAR discovery, and Scott agreed to vector those people to
Seamoby. So we need to make sure the requirements
state that the protocol will be usable by MANET clients.

Perhaps the wording of the requirment could be changed?
How about:

    The CAR discovery protocol MUST be usable by Internet
    hosts and nodes that support existing IP mobility protocols,
    such as Mobile IP and MANET.

> [GK] Again with this I thought the majority decision was to go with

I saw one objection to even having the requirement, most other
people seemed OK with it.

Any further objection to MUST? Otherwise, I think we
should go with it.

> the process. But again I might be wrong about this and I welcome
anyone's

If there are no specific examples of how these two areas should be
separated, then I think we can go forward with one set of
requirements.

            jak